<?php

/**
 * @file
 * Contains \Drupal\migrate_cckfield_plugin_manager_test\Plugin\migrate\cckfield\D6FileField.
 */

namespace Drupal\migrate_cckfield_plugin_manager_test\Plugin\migrate\cckfield;

use Drupal\migrate\Entity\MigrationInterface;
use Drupal\migrate\Row;
use Drupal\migrate_drupal\Plugin\migrate\cckfield\CckFieldPluginBase;

/**
 * @MigrateCckField(
 *   id = "d6_file",
 *   field_type = "file",
 *   core = {6}
 * )
 */
class D6FileField extends CckFieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFieldWidgetMap() {}

  /**
   * {@inheritdoc}
   */
  public function getFieldFormatterMap() {}

  /**
   * {@inheritdoc}
   */
  public function processCckFieldValues(MigrationInterface $migration, $field_name, $data) {}

  /**
   * {@inheritdoc}
   */
  public function getFieldType(Row $row) {
    return 'file';
  }
}
